#!/system/bin/sh
if ! applypatch -c EMMC:/dev/block/platform/msm_sdcc.1/by-name/recovery:7512064:4b4073e2e111f8df54a8be0532dc2e989882b739; then
  log -t recovery "Installing new recovery image"
  applypatch -b /system/etc/recovery-resource.dat EMMC:/dev/block/platform/msm_sdcc.1/by-name/boot:6778880:7fe797818203d414c0dfe8b26b5d1ef5cedeac62 EMMC:/dev/block/platform/msm_sdcc.1/by-name/recovery 4b4073e2e111f8df54a8be0532dc2e989882b739 7512064 7fe797818203d414c0dfe8b26b5d1ef5cedeac62:/system/recovery-from-boot.p
else
  log -t recovery "Recovery image already installed"
fi
